MONGOC_READ_PREFS_COPY(3)

NAME
mongoc_read_prefs_copy() - This function shall deep copy a read preference.

SYNOPSIS

mongoc_read_prefs_t *
mongoc_read_prefs_copy (const mongoc_read_prefs_t *read_prefs);

PARAMETERS

read_prefs
    A mongoc_read_prefs_t \&.

DESCRIPTION

This function shall deep copy a read preference.

RETURNS

Returns a newly allocated read preference that should be freed with mongoc_read_prefs_destroy(3) \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.